[SRU] 2.33

Bug #1773118 reported by Michael Vogt on 2018-05-24
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
snapd (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

This is a new version of snapd.

The changelog is available here https://github.com/snapcore/snapd/blob/2.33/packaging/ubuntu-16.04/changelog, the raw git changelog is available here: https://github.com/snapcore/snapd/commits/2.33 (note that the debian changelog is auto-generated from the merges of the git commits so there is usually no need to look at the raw git commits).

The travis logs for 2.33 can be found here: https://travis-ci.org/snapcore/snapd/branches

We currently have no autopkgtest logs before snapd hits -proposed because we got asked to disable our autopkgtest integration as it was using too many resources from the autopkgtest infrastructure.

The snappy team released a new release that we want SRU into xenial. The new process described in https://wiki.ubuntu.com/SnapdUpdates was used and we have done integration-tests on the snappy images, autopkgtests on classic and unit tests.

Michael Vogt (mvo) on 2018-06-11
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.33+18.10ubuntu3

---------------
snapd (2.33+18.10ubuntu3) cosmic; urgency=medium

  * tests:
    - cherry pick https://github.com/snapcore/snapd/pull/5308 to fix
      test failure on s390x

 -- Michael Vogt <email address hidden> Tue, 12 Jun 2018 14:33:16 +0200

Changed in snapd (Ubuntu):
status: New → Fix Released

Hello Michael, or anyone else affected,

Accepted snapd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.33+18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Changed in snapd (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed-artful
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.33+17.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.33 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in snapd (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed-trusty
Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.33~14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.33.1+18.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.33.1+17.10 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.33.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Andy Whitcroft (apw) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.33.1~14.04 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Hello, currently doing validation. This is the document with the test results:
https://docs.google.com/document/d/1WZqYRPNeXIsjgB68GyhMTHY3F5Jema2zEp850wbP9OQ/edit?usp=sharing

Verification completed.

tags: added: verification-done verification-done-artful verification-done-bionic verification-done-trusty verification-done-xenial
removed: verification-needed verification-needed-artful verification-needed-bionic verification-needed-trusty verification-needed-xenial
Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.33.1+18.04ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed verification-needed-bionic
removed: verification-done verification-done-bionic
tags: added: verification-needed-artful
removed: verification-done-artful
Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.33.1+17.10ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Steve Langasek (vorlon) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.33.1ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed-xenial
removed: verification-done-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.33.1+18.04ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Łukasz Zemczak (sil2100) wrote :

Hello Michael, or anyone else affected,

Accepted snapd into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/snapd/2.33.1ubuntu2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-done verification-done-artful verification-done-bionic verification-done-xenial
removed: verification-needed verification-needed-artful verification-needed-bionic verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

The versions for xenial, artful and bionic seem to have some autopkgtests regressions reported - could someone take a look and investigate if those are related or not? [1]

[1] https://people.canonical.com/~ubuntu-archive/pending-sru.html

Michael Vogt (mvo) wrote :

I looked over the failures:

# snapcraft:
network related failures AFAICT in their integration tests, e.g.
```
/home/ubuntu/autopkgtest_tmp/tmpyiuc3lb5/parts/rust-subdir/rust/bin/cargo fetch --manifest-path /home/ubuntu/autopkgtest_tmp/tmpyiuc3lb5/parts/rust-subdir/src/Cargo.toml
Exited with code 101.
```
and
```
    Updating registry `https://github.com/rust-lang/crates.io-index`
error: could not execute process `rustc -vV` (never executed)

Caused by:
  No such file or directory (os error 2)
```

also some in:
```
Building dependency tree...
Reading state information...
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 linux-generic : Depends: linux-image-generic (= 4.15.0.26.28) but 4.15.0.24.26 is to be installed
```

I could not see anything that is snapd related.

The verification of the Stable Release Update for snapd has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :
Download full text (21.1 KiB)

This bug was fixed in the package snapd - 2.33.1+17.10ubuntu1

---------------
snapd (2.33.1+17.10ubuntu1) artful; urgency=medium

  * New upstream release, LP: #1773118
    - cherry pick https://github.com/snapcore/snapd/pull/5376/
      to fix autopkgtest

snapd (2.33.1+17.10) artful; urgency=medium

  * New upstream release, LP: #1773118
    - many: improve udev trigger on refresh experience
    - systemd: require snapd.socket in snapd.seeded.service
    - snap: don't include newline in hook environment
    - interfaces/apparmor: allow killing snap-update-ns
    - tests: skip "try" test on s390x
    - tests: skip security-dev-input-event-denied when /dev/input/by-
      path/ is missing
    - tests: skip security-dev-input-event-denied on s390x/arm64

snapd (2.33) xenial; urgency=medium

  * New upstream release, LP: #1773118
    - packaging: use official bolt in the errtracker on fedora
    - many: add `snap debug connectivity` command
    - interfaces/raw-usb: also allow usb serial devices
    - errtracker: do not send duplicated reports
    - selftest: add new selftest package that tests squashfs mounting
    - tests: backport lxd force stop and econnreset fixes
    - tests: add test to ensure /dev/input/event* for non-joysticks is
      denied
    - interfaces/joystick: support modern evdev joysticks
    - interfaces: add juju-client-observe
    - interfaces/hardware-observe: allow access to /etc/sensors* for
      libsensors
    - many: holding refresh on metered connections
    - many: expose AppStream IDs (AKA common ID)
    - tests: speed up save/restore snapd state for all-snap systems
      during tests execution
    - interfaces/apparmor: use helper to load stray profile
    - tests: ubuntu core abstraction
    - overlord/snapstate: don't panic in a corner case interaction of
      cleanup tasks and pruning
    - interfaces/apparmor: add 'mediate_deleted' profile flag for all
      snaps
    - tests: new parameter for the journalctl rate limit
    - spread-shellcheck: port to python
    - interfaces/home: add 'read' attribute to allow non-owner read to
      @{HOME}
    - testutil: import check.v1 differently to workaround gccgo error
    - interfaces/many: miscellaneous updates for default, desktop,
      desktop-legacy, system-observe, hardware-observe, opengl and gpg-
      keys
    - snapstate/hooks: reorder autoconnect and reconnect hooks
    - daemon: update unit tests to match current master
    - overlord/snapshotstate/backend: introducing the snapshot backend
    - many: support 'system' nickname in interfaces
    - userd: add the "snap" scheme to the whitelist
    - many: make rebooting of core on refresh immediate, refactor logic
      around it
    - tests/main/snap-service-timer: account for service timer being in
      the 'running' state
    - interfaces/builtin: allow access to libGLESv* too for opengl
      interface
    - daemon: fix unit tests on arch
    - interfaces/default,process-control: miscellaneous signal policy
      fixes
    - interfaces/bulitin: add write permission to optical-drive
    - configstate: validate known core.* options
    - snap, wrappers: systemd WatchdogSec support
    - ifacestate: ...

Changed in snapd (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (21.3 KiB)

This bug was fixed in the package snapd - 2.33.1ubuntu2

---------------
snapd (2.33.1ubuntu2) xenial; urgency=medium

  * New upstream release, LP: #1773118
    - cherry pick https://github.com/snapcore/snapd/pull/5464
      to workaround kernel urandom bug in bionic that slows down
      boot

snapd (2.33.1ubuntu1) xenial; urgency=medium

  * New upstream release, LP: #1773118
    - cherry pick https://github.com/snapcore/snapd/pull/5376/
      to fix autopkgtest

snapd (2.33.1) xenial; urgency=medium

  * New upstream release, LP: #1773118
    - many: improve udev trigger on refresh experience
    - systemd: require snapd.socket in snapd.seeded.service
    - snap: don't include newline in hook environment
    - interfaces/apparmor: allow killing snap-update-ns
    - tests: skip "try" test on s390x
    - tests: skip security-dev-input-event-denied when /dev/input/by-
      path/ is missing
    - tests: skip security-dev-input-event-denied on s390x/arm64

snapd (2.33) xenial; urgency=medium

  * New upstream release, LP: #1773118
    - packaging: use official bolt in the errtracker on fedora
    - many: add `snap debug connectivity` command
    - interfaces/raw-usb: also allow usb serial devices
    - errtracker: do not send duplicated reports
    - selftest: add new selftest package that tests squashfs mounting
    - tests: backport lxd force stop and econnreset fixes
    - tests: add test to ensure /dev/input/event* for non-joysticks is
      denied
    - interfaces/joystick: support modern evdev joysticks
    - interfaces: add juju-client-observe
    - interfaces/hardware-observe: allow access to /etc/sensors* for
      libsensors
    - many: holding refresh on metered connections
    - many: expose AppStream IDs (AKA common ID)
    - tests: speed up save/restore snapd state for all-snap systems
      during tests execution
    - interfaces/apparmor: use helper to load stray profile
    - tests: ubuntu core abstraction
    - overlord/snapstate: don't panic in a corner case interaction of
      cleanup tasks and pruning
    - interfaces/apparmor: add 'mediate_deleted' profile flag for all
      snaps
    - tests: new parameter for the journalctl rate limit
    - spread-shellcheck: port to python
    - interfaces/home: add 'read' attribute to allow non-owner read to
      @{HOME}
    - testutil: import check.v1 differently to workaround gccgo error
    - interfaces/many: miscellaneous updates for default, desktop,
      desktop-legacy, system-observe, hardware-observe, opengl and gpg-
      keys
    - snapstate/hooks: reorder autoconnect and reconnect hooks
    - daemon: update unit tests to match current master
    - overlord/snapshotstate/backend: introducing the snapshot backend
    - many: support 'system' nickname in interfaces
    - userd: add the "snap" scheme to the whitelist
    - many: make rebooting of core on refresh immediate, refactor logic
      around it
    - tests/main/snap-service-timer: account for service timer being in
      the 'running' state
    - interfaces/builtin: allow access to libGLESv* too for opengl
      interface
    - daemon: fix unit tests on arch
    - interfaces/default,process-control: miscellaneous s...

Changed in snapd (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.33.1~14.04

---------------
snapd (2.33.1~14.04) trusty; urgency=medium

  * New upstream release, LP: #1773118
    - many: improve udev trigger on refresh experience
    - systemd: require snapd.socket in snapd.seeded.service
    - snap: don't include newline in hook environment
    - interfaces/apparmor: allow killing snap-update-ns
    - tests: skip "try" test on s390x
    - tests: skip security-dev-input-event-denied when /dev/input/by-
      path/ is missing
    - tests: skip security-dev-input-event-denied on s390x/arm64

 -- Michael Vogt <email address hidden> Thu, 21 Jun 2018 17:37:56 +0200

Changed in snapd (Ubuntu Trusty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package snapd - 2.33.1+18.04ubuntu2

---------------
snapd (2.33.1+18.04ubuntu2) bionic; urgency=medium

  * New upstream release, LP: #1773118
    - cherry pick https://github.com/snapcore/snapd/pull/5464
      to workaround kernel urandom bug in bionic that slows down
      boot

 -- Michael Vogt <email address hidden> Thu, 05 Jul 2018 08:42:47 +0200

Changed in snapd (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers